Namespace
library
Image / Tag
openjdk:16-ea-29-jdk
Content Digest
sha256:238621d6f4f96fb33b7e6b3222e31e98c858a72e87c4c16500a3bba1c7ecfaad
Details
Created

2020-12-18 20:53:28 UTC

Size

229 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Oracle Linux Product Team <ol-ovm-info_ww@oracle.com>
  • org.opencontainers.image.description
    Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.
  • org.opencontainers.image.source
    https://github.com/oracle/container-images/tree/dist-amd64/8-slim
  • org.opencontainers.image.title
    Oracle Linux 8 (slim)
  • org.opencontainers.image.url
    https://github.com/oracle/container-images
  • org.opencontainers.image.vendor
    Oracle America, Inc

Environment
JAVA_HOME

/usr/java/openjdk-16

JAVA_VERSION

16-ea+29

LANG

C.UTF-8

PATH

/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:edcbc9047efe2641ebc4f2393b0e5717733c062c211b0db349abc2ea82364e57 - 17.51% (40.1 MB)

[#001] sha256:096c31e209d76bfb493c22693ffe401d20bd3b9b8bc2256934fda17f29780bb3 - 5.52% (12.6 MB)

[#002] sha256:197e3dc93c31fced6e2db901e8ea9090f160981061f0de656512433ca3501f00 - 76.96% (176 MB)


History
2020-09-15 21:22:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Oracle Linux Product Team <ol-ovm-info_ww@oracle.com> org.opencontainers.image.url=https://github.com/oracle/container-images org.opencontainers.image.source=https://github.com/oracle/container-images/tree/dist-amd64/8-slim org.opencontainers.image.vendor=Oracle America, Inc org.opencontainers.image.title=Oracle Linux 8 (slim) org.opencontainers.image.description=Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.

2020-12-18 18:20:53 UTC

/bin/sh -c #(nop) ADD file:ae640751036e8faf191ef80903201a939fb88b6280ec402d34f100cf54e41b5d in /

2020-12-18 18:20:53 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2020-12-18 18:38:18 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2020-12-18 18:38:18 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-12-18 18:38:19 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-16

2020-12-18 18:38:19 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-12-18 20:52:52 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=16-ea+29

2020-12-18 20:53:28 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_linux-aarch64_bin.tar.gz; downloadSha256=2a273d305f8c5ed1eec0cec322ed37660eddd7bcf1b381583e6c6b66fe020eda; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_linux-x64_bin.tar.gz; downloadSha256=484b901cea7c2b6fafea3a4215028f12f225c17807d5413a2d52edcd604ef6ec; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2020-12-18 20:53:28 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Details
Created

2020-12-18 20:16:26 UTC

Size

2.41 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-16

JAVA_SHA256

c648613342ac89f1899f91185499b26ea19abc05bc6023a288bede03bb696543

JAVA_URL

https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_windows-x64_bin.zip

JAVA_VERSION

16-ea+29


Layers

[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 66.47% (1.6 GB)

[#001] sha256:aa4f58cd6da1aaf1a0b44d443bd88e7fbe5b0a6f193995a1a61d6bd63990f314 - 26.01% (641 MB)

[#002] sha256:a4372d14958dc8a7eaaace9e4774e7f1db524da5eb4474b5e46738848a3a61a5 - 0.0% (1.1 KB)

[#003] sha256:935e3005fe76a11e222d9322d452d314edc4ba767499cc7c7e9f7cff154513fc - 0.36% (8.81 MB)

[#004] sha256:ea75614c2ac46a6f8b4ec8e5590084bd62a808395e06766a98c7677f9be07e4b - 0.0% (1.12 KB)

[#005] sha256:c26ca920a73d409b4bca897c5ace399567d216e9618bc7574b860e2d5ebe2c1c - 0.01% (282 KB)

[#006] sha256:8fb6fd4a01227bf5f5b438f73074bbcff77346214a4761afc1a5a4fc5503f79b - 0.0% (1.14 KB)

[#007] sha256:23653835671c1ac3725ec6592eb4ec9f04c9f94d9a37c601b7e323d78134d38b - 0.0% (1.1 KB)

[#008] sha256:9fb169b1df64637e57a10371f0bd3095df6bc3a3a22e1c9b7f52bb2473e24cb4 - 0.0% (1.1 KB)

[#009] sha256:732f11ee45030694d18169edca97e9b8f84c6c7b2b2fae9f7c829ba6bf86a647 - 7.15% (176 MB)

[#010] sha256:d7cfe8bf034041cf852652990d3654f080ba6d70474984a65528681585a658f5 - 0.0% (1.14 KB)


History
2020-05-07 05:09:25 UTC

Apply image 1809-RTM-amd64

2020-12-04 02:13:01 UTC

Install update 1809-amd64

2020-12-09 13:30:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-12-09 18:50:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force

2020-12-09 18:50:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-16

2020-12-09 18:50:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath

2020-12-18 20:15:05 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=16-ea+29

2020-12-18 20:15:05 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_windows-x64_bin.zip

2020-12-18 20:15:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=c648613342ac89f1899f91185499b26ea19abc05bc6023a288bede03bb696543

2020-12-18 20:16:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2020-12-18 20:16:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2020-12-18 20:19:00 UTC

Size

5.56 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-16

JAVA_SHA256

c648613342ac89f1899f91185499b26ea19abc05bc6023a288bede03bb696543

JAVA_URL

https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_windows-x64_bin.zip

JAVA_VERSION

16-ea+29


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.12% (3.79 GB)

[#001] sha256:d2696dc2a40dc121fc5acaa02242817ac416c69d17c113e2ac5136d21a3942d8 - 28.44% (1.58 GB)

[#002] sha256:c6d005eb9e78ad42f77f3dad7e29d954e78f0547f9884fe024a71f4042412970 - 0.0% (1.16 KB)

[#003] sha256:535454b21129910f68c2c2c0ef15ca3640eb529cf7325adda5148aa9a68bc914 - 0.17% (9.58 MB)

[#004] sha256:7efcedd72d8736d58697ed7ddad4a707710a4b5db13e76e520e7b8d89f1c82a3 - 0.0% (1.12 KB)

[#005] sha256:d811bec4145213374f3541dd1f3b4b1d442fb2aed336c617caf8d34c06dc8356 - 0.09% (5.23 MB)

[#006] sha256:3d6e2868bfad8ba823b35dcb561c35d1c74371441445ae837eb8c4981b8b199e - 0.0% (1.1 KB)

[#007] sha256:86c3ccc6d8dc9c8d3a4b47cc50814b5195ac258e8569b63b6166af32038bbfe1 - 0.0% (1.1 KB)

[#008] sha256:42612993095bcaf50f776f1271490c0b074d858d1561c898914a22f1d39791f2 - 0.0% (1.11 KB)

[#009] sha256:0f2706468096a7d37e73b740a1e1f83b956ecae1acbf3817f4fcd5881c9a3545 - 3.18% (181 MB)

[#010] sha256:77032bef35c67ed0bd0b058104bd830061d0df9067dedb6ae251daa128042818 - 0.0% (1.12 KB)


History
2016-11-19 17:05:00 UTC

Apply image 1607-RTM-amd64

2020-12-02 17:42:00 UTC

Install update ltsc2016-amd64

2020-12-09 13:34:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-12-09 18:53:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force

2020-12-09 18:53:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-16

2020-12-09 18:55:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath

2020-12-18 20:16:35 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=16-ea+29

2020-12-18 20:16:36 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_windows-x64_bin.zip

2020-12-18 20:16:36 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=c648613342ac89f1899f91185499b26ea19abc05bc6023a288bede03bb696543

2020-12-18 20:18:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2020-12-18 20:19:00 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2020-12-18 19:44:45 UTC

Size

224 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Oracle Linux Product Team <ol-ovm-info_ww@oracle.com>
  • org.opencontainers.image.description
    Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.
  • org.opencontainers.image.source
    https://github.com/oracle/container-images/tree/dist-arm64v8/8-slim
  • org.opencontainers.image.title
    Oracle Linux 8 (slim)
  • org.opencontainers.image.url
    https://github.com/oracle/container-images
  • org.opencontainers.image.vendor
    Oracle America, Inc

Environment
JAVA_HOME

/usr/java/openjdk-16

JAVA_VERSION

16-ea+29

LANG

C.UTF-8

PATH

/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:68012513ce8f557e79d400caae7326eb282a43c35afa4fd0a04e0c6470a0c6da - 17.85% (40 MB)

[#001] sha256:19435fd29840d5adb1fcf43416b769187aa10d3f70e390e22cd1edadb7415d63 - 5.98% (13.4 MB)

[#002] sha256:fa8943f4ade502129912565fc904075ebbcf20da82a5faba818fe75c19898e4b - 76.18% (171 MB)


History
2020-09-15 20:40:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Oracle Linux Product Team <ol-ovm-info_ww@oracle.com> org.opencontainers.image.url=https://github.com/oracle/container-images org.opencontainers.image.source=https://github.com/oracle/container-images/tree/dist-arm64v8/8-slim org.opencontainers.image.vendor=Oracle America, Inc org.opencontainers.image.title=Oracle Linux 8 (slim) org.opencontainers.image.description=Oracle Linux is an open-source operating system available under the GNU General Public License (GPLv2) and is suitable for both general purpose or Oracle workloads.

2020-12-18 18:43:40 UTC

/bin/sh -c #(nop) ADD file:be2d17640c58ed7d6ce818b679805972eedbbacd4ab5ae5e15f5c8542d1ff8ea in /

2020-12-18 18:43:43 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2020-12-18 19:43:59 UTC

/bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all

2020-12-18 19:43:59 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2020-12-18 19:44:00 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/java/openjdk-16

2020-12-18 19:44:01 UTC

/bin/sh -c #(nop) ENV PATH=/usr/java/openjdk-16/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-12-18 19:44:01 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=16-ea+29

2020-12-18 19:44:43 UTC

/bin/sh -c set -eux; objdump="$(command -v objdump)"; arch="$(objdump --file-headers "$objdump" | awk -F '[:,]+[[:space:]]+' '$1 == "architecture" { print $2 }')"; case "$arch" in arm64 | aarch64) downloadUrl=https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_linux-aarch64_bin.tar.gz; downloadSha256=2a273d305f8c5ed1eec0cec322ed37660eddd7bcf1b381583e6c6b66fe020eda; ;; amd64 | i386:x86-64) downloadUrl=https://download.java.net/java/early_access/jdk16/29/GPL/openjdk-16-ea+29_linux-x64_bin.tar.gz; downloadSha256=484b901cea7c2b6fafea3a4215028f12f225c17807d5413a2d52edcd604ef6ec; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2020-12-18 19:44:45 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete